## org.h2.android
Class H2Closable

    java.lang.Object
      android.database.sqlite.SQLiteClosable
          org.h2.android.H2Closable

Direct Known Subclasses:
  H2Program

    public abstract class H2Closable

extends android.database.sqlite.SQLiteClosable

An object that can be closed.

Constructor Summary
`H2Closable()`

Method Summary
`void` `acquireReference()` TODO
`protected abstract void` `onAllReferencesReleased()` TODO
`protected void` `onAllReferencesReleasedFromContainer()` TODO
`void` `releaseReference()` TODO
`void` `releaseReferenceFromContainer()` TODO

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### H2Closable

    public H2Closable()

Method Detail

### acquireReference

    public void acquireReference()

  TODO

### releaseReference

    public void releaseReference()

  TODO

### releaseReferenceFromContainer

    public void releaseReferenceFromContainer()

  TODO

### onAllReferencesReleased

    protected abstract void onAllReferencesReleased()

  TODO

### onAllReferencesReleasedFromContainer

    protected void onAllReferencesReleasedFromContainer()

  TODO